declare global {
    interface Window {
        ResizeObserver: any;
    }
}
export interface ResizeObserver {
    observe(target: HTMLElement): void;
    disconnect(): void;
}
export interface HostElementConfig {
    pipe?: any[];
    selector?: string;
    observable?: boolean;
}
export declare function HostElement(...args: (string | HostElementConfig)[]): PropertyDecorator;
